You are not logged in.

#1 2021-01-20 18:27:51

atimonder1
Member
Registered: 2021-01-13
Posts: 3

[SOLVED] Some problems with RTL8188GU

I wanted to install a Wi-Fi driver on this system. Everything would be fine, but a similar problem arises:

[atimonder1@atimonder1 rtl8188gu]$ make
make ARCH=x86_64 CROSS_COMPILE= -C /lib/modules/5.10.7-arch1-1/build M=/home/atimonder1/rtl8188gu  modules
make[1]: *** /lib/modules/5.10.7-arch1-1/build: Нет такого файла или каталога.  Останов.
make: *** [Makefile:1894: modules] Ошибка 2
[atimonder1@atimonder1 rtl8188gu]$ 

https://bbs.archlinux.org/viewtopic.php … 4#p1946844 - post with driver
Tried PR for 5.10 core too - no success
Honestly, I can't figure out why the build file isn't there. Should he even be there? And is it possible to fix this problem? Thanks in advance for the answers.

Last edited by atimonder1 (2021-01-21 10:49:26)

Offline

#2 2021-01-20 18:39:14

progandy
Member
Registered: 2012-05-17
Posts: 4,123

Re: [SOLVED] Some problems with RTL8188GU

You need to install the linux-headers package for your kernel. The makefile also requires that the booted kernel is the one you want to build the module for.

And please run make with an english locale so we can understand the error messages.
https://gitlab.archlinux.org/archlinux/ … s-and-code

LC_ALL=C make
or
LC_ALL=en_US.UTF-8 make

Last edited by progandy (2021-01-20 18:40:32)


| alias CUTF='LANG=en_XX.UTF-8@POSIX ' |

Online

#3 2021-01-20 21:24:09

atimonder1
Member
Registered: 2021-01-13
Posts: 3

Re: [SOLVED] Some problems with RTL8188GU

progandy wrote:

You need to install the linux-headers package for your kernel. The makefile also requires that the booted kernel is the one you want to build the module for.

Ah, okay, got it, sorry. And yes, after installing linux-headers, it still gives the same error:

[atimonder1@atimonder1 rtl8188gu]$ LC_ALL=C make
make ARCH=x86_64 CROSS_COMPILE= -C /lib/modules/5.10.7-arch1-1/build M=/home/atimonder1/rtl8188gu  modules
make[1]: *** /lib/modules/5.10.7-arch1-1/build: No such file or directory.  Stop.
make: *** [Makefile:1894: modules] Error 2
[atimonder1@atimonder1 rtl8188gu]$

Upd. I'm a little unsure about the correct installation of linux-headers, it was set to 5.10.8, although I have 5.10.7

Last edited by atimonder1 (2021-01-20 21:26:18)

Offline

#4 2021-01-20 21:33:08

progandy
Member
Registered: 2012-05-17
Posts: 4,123

Re: [SOLVED] Some problems with RTL8188GU

Kernel and headers must have the same version. These three versions have to be equal:

pacman -Q linux
pacman -Q linux-headers
uname -r

It would be best if you could just perform a full system upgrade and reboot.

Last edited by progandy (2021-01-20 21:34:07)


| alias CUTF='LANG=en_XX.UTF-8@POSIX ' |

Online

#5 2021-01-21 10:19:42

atimonder1
Member
Registered: 2021-01-13
Posts: 3

Re: [SOLVED] Some problems with RTL8188GU

Yeah, after

pacman -Syu

Build was successful and this thing started working. Thank you so much!

Last edited by atimonder1 (2021-01-21 10:19:55)

Offline

Board footer

Powered by FluxBB